- content_for(:menu_item) { "menu-agents" }

- content_for :title do
  | Modifier le rôle de l'agent #{@agent_role.agent.full_name}

- content_for :breadcrumb do
  ol.breadcrumb.m-0
    li.breadcrumb-item
      = link_to "Vos agents", admin_organisation_agents_path(current_organisation)
    li.breadcrumb-item.active
      = @agent_role.agent.full_name

.row.justify-content-center
  .col-md-8
    .card
      .card-body
        = simple_form_for [:admin, current_organisation, @agent_role] do |f|
          = render "model_errors", model: @agent_role
          = f.simple_fields_for :agent do |ff|
            = ff.input :service_id, collection: [@agent_role.agent.service], as: :select, label: "Service", hint: "Vous ne pouvez pas changer un agent de service, cela créerait des incohérences. Si vous voulez vraiment réaliser cette opération, il faut supprimer et recréer le compte de l'agent", disabled: true

          = f.input :organisation, as: :hidden
          = f.input :level, \
            collection: AgentRole::LEVELS, \
            label_method: -> { AgentRole.human_attribute_value(:level, _1, context: :explanation).html_safe }, \
            hint: "Les agents peuvent avoir des permissions différentes sur chaque organisation.", \
            as: :radio_buttons

          .row
            - if policy([:agent, @agent_role.agent]).destroy?
              .col.text-left
                = link_to @agent_removal_presenter.button_value, \
                  admin_organisation_agent_path(current_organisation, @agent_role.agent), \
                  data: { confirm: @agent_removal_presenter.confirm_message }, \
                  method: :delete, \
                  class: "btn btn-outline-danger"
            .col.text-right
              = f.button :submit

= render "admin/versions/resource_versions_row", resource: @agent_role.agent
